#include <bits/stdc++.h>
using namespace std;

int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);
    
	int a, b, spolja;
	cin >> a >> b;
	
	spolja = 2*a + 2*(b-2);
	
	cout << spolja + (a*b - spolja)/2 << '\n';

return 0;
}